package com.daya.live_teaching.model;

import java.io.Serializable;
import java.util.List;

public class LoginResult implements Serializable {
    private String            authorization;
    private String            display;
    private String            imToken;
    private String            roomId;
    private int surplusTime;
    private int soundVolume; //音量
    private String            whiteBoradUuid;//白板uuid 白板对象赋值
    private String            whiteBoradRoomToken; //白板token白板对象赋值
    private UserInfo          userInfo;
    private List<ClassMember> members;
    private List<WhiteBoard>  whiteboards;
    private boolean autoCloseFlag ;//课程结束后是否自动关闭课程
    private int autoCloseNetworkRoomTime ;//课程结束后多少分钟关闭网络教室
    public boolean isAutoCloseFlag() {
        return autoCloseFlag;
    }

    public int getAutoCloseNetworkRoomTime() {
        return autoCloseNetworkRoomTime;
    }

    public void setAutoCloseFlag(boolean autoCloseFlag) {
        this.autoCloseFlag = autoCloseFlag;
    }

    public void setAutoCloseNetworkRoomTime(int autoCloseNetworkRoomTime) {
        this.autoCloseNetworkRoomTime = autoCloseNetworkRoomTime;
    }

    public int getSurplusTime() {
        return surplusTime;
    }

    public void setSurplusTime(int surplusTime) {
        this.surplusTime = surplusTime;
    }

    public String getWhiteBoradUuid() {
        return whiteBoradUuid;
    }

    public void setWhiteBoradUuid(String whiteBoradUuid) {
        this.whiteBoradUuid = whiteBoradUuid;
    }

    public String getWhiteBoradRoomToken() {
        return whiteBoradRoomToken;
    }

    public void setWhiteBoradRoomToken(String whiteBoradRoomToken) {
        this.whiteBoradRoomToken = whiteBoradRoomToken;
    }

    public String getAuthorization() {
        return authorization;
    }

    public void setAuthorization(String authorization) {
        this.authorization = authorization;
    }

    public String getDisplay() {
        return display;
    }

    public void setDisplay(String display) {
        this.display = display;
    }

    public String getImToken() {
        return imToken;
    }

    public void setImToken(String imToken) {
        this.imToken = imToken;
    }

    public String getRoomId() {
        return roomId;
    }

    public void setRoomId(String roomId) {
        this.roomId = roomId;
    }

    public UserInfo getUserInfo() {
        return userInfo;
    }

    public void setUserInfo(UserInfo userInfo) {
        this.userInfo = userInfo;
    }

    public List<ClassMember> getMembers() {
        return members;
    }

    public void setMembers(List<ClassMember> members) {
        this.members = members;
    }

    public List<WhiteBoard> getWhiteboards() {
        return whiteboards;
    }

    public void setWhiteboards(List<WhiteBoard> whiteboards) {
        this.whiteboards = whiteboards;
    }

    public int getSoundVolume() {
        return soundVolume;
    }

    public void setSoundVolume(int soundVolume) {
        this.soundVolume = soundVolume;
    }
}
